Index: /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl	(revision 20828)
@@ -30,5 +30,5 @@
 <!--{assign var=path value="`$smarty.const.ROOT_URLPATH`products/list.php"}-->
 <!--{/if}-->
-　<font color="<!--{cycle values="#000000,#880000,#8888ff,#88ff88,#ff0000"}-->">■</font><a href="<!--{$path}-->?category_id=<!--{$arrCat[cnt].category_id}-->"><!--{$disp_name|sfCutString:20|h}--></a><br>
+　<font color="<!--{cycle values="#000000,#880000,#8888ff,#88ff88,#ff0000"}-->">■</font><a href="<!--{$path}-->?category_id=<!--{$arrCat[cnt].category_id}-->"><!--{$disp_name|sfCutString:10:false|h}--></a><br>
 <!--{/section}-->
 <!--▲商品カテゴリーここまで-->
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/total/page_products.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/total/page_products.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/total/page_products.tpl	(revision 20828)
@@ -47,5 +47,5 @@
             <td class="center"><!--{*順位*}--><!--{$smarty.section.cnt.iteration}--></td>
             <td class="right"><!--{*商品コード*}--><!--{$arrResults[cnt].product_code|h}--></td>
-            <td class="left"><!--{*商品名*}--><!--{$arrResults[cnt].product_name|sfCutString:40|h}--></td>
+            <td class="left"><!--{*商品名*}--><!--{$arrResults[cnt].product_name|sfCutString:40:false|h}--></td>
             <td class="right"><!--{*購入件数*}--><!--{$arrResults[cnt].order_count}-->件</td>
             <td class="right"><!--{*点数*}--><!--{$arrResults[cnt].products_count}--></td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/product_rank.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/product_rank.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/product_rank.tpl	(revision 20828)
@@ -64,5 +64,5 @@
                 <img src="<!--{$TPL_URLPATH}-->img/contents/folder_close.gif" alt="フォルダ">
             <!--{/if}-->
-            <!--{$disp_name|sfCutString:20|h}-->(<!--{$arrTree[cnt].product_count|default:0}-->)</a>
+            <!--{$disp_name|sfCutString:10:false|h}-->(<!--{$arrTree[cnt].product_count|default:0}-->)</a>
             <br />
             <!--{if $arrTree[cnt].display == true}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/category.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/category.tpl	(revision 20828)
@@ -67,8 +67,8 @@
                     <img src="<!--{$TPL_URLPATH}-->img/contents/folder_close.gif" alt="フォルダ">
                 <!--{/if}-->
-                <!--{$disp_name|sfCutString:20|h}--></a><br />
+                <!--{$disp_name|sfCutString:10:false|h}--></a><br />
             <!--{else}-->
                 <img src="<!--{$TPL_URLPATH}-->img/contents/folder_close.gif" alt="フォルダ">
-                <!--{$disp_name|sfCutString:20|h}--></a><br />
+                <!--{$disp_name|sfCutString:10:false|h}--></a><br />
             <!--{/if}-->
 
Index: /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 20810)
+++ /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 20828)
@@ -181,5 +181,5 @@
             // 文字サイズを制限する
             foreach($arrMakerList as $key => $val) {
-                $arrMakerList[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN);
+                $arrMakerList[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN, false);
             }
         }