Index: /branches/version-2_11-dev/html/install/index.php
===================================================================
--- /branches/version-2_11-dev/html/install/index.php	(revision 20842)
+++ /branches/version-2_11-dev/html/install/index.php	(revision 20848)
@@ -654,5 +654,5 @@
 
     $objWebParam->addParam("店名", "shop_name", MTEXT_LEN, "", array("EXIST_CHECK","MAX_LENGTH_CHECK"), $shop_name);
-    $objWebParam->addParam("管理者：メールアドレス", "admin_mail", MTEXT_LEN, "", array("EXIST_CHECK","EMAIL_CHECK","EMAIL_CHAR_CHECK","MAX_LENGTH_CHECK"), $admin_mail);
+    $objWebParam->addParam("管理者：メールアドレス", "admin_mail", null, "", array("EXIST_CHECK","EMAIL_CHECK","EMAIL_CHAR_CHECK"), $admin_mail);
     $objWebParam->addParam("管理者：ログインID", "login_id", ID_MAX_LEN, "", array("EXIST_CHECK","SPTAB_CHECK", "ALNUM_CHECK"));
     $objWebParam->addParam("管理者：パスワード", "login_pass", ID_MAX_LEN, "", array("EXIST_CHECK","SPTAB_CHECK", "ALNUM_CHECK"));
Index: /branches/version-2_11-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 20838)
+++ /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 20848)
@@ -253,5 +253,5 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (108, 3, 'order_kana01', '顧客名(フリガナ・姓)', 6, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVCa', 'STEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (109, 3, 'order_kana02', '顧客名(フリガナ名)', 7, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVCa', 'STEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (110, 3, 'order_email', 'メールアドレス', 8, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'a', 'STEXT_LEN', 'NO_SPTAB,MAX_LENGTH_CHECK,EMAIL_CHECK,EMAIL_CHAR_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (110, 3, 'order_email', 'メールアドレス', 8, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'a', 'null', 'NO_SPTAB,EMAIL_CHECK,EMAIL_CHAR_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (111, 3, 'order_tel01', '電話番号1', 9, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'TEL_ITEM_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (112, 3, 'order_tel02', '電話番号2', 10, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'TEL_ITEM_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');
Index: /branches/version-2_11-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 20848)
@@ -155,6 +155,6 @@
         $objFormParam->addParam("住所2", "addr02", MTEXT_LEN, 'KVa', array("SPTAB_CHECK" ,"MAX_LENGTH_CHECK"));
         $objFormParam->addParam("お問い合わせ内容", 'contents', MLTEXT_LEN, 'KVa', array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam('メールアドレス', 'email', MTEXT_LEN, 'KVa',array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam('メールアドレス(確認)', "email02", MTEXT_LEN, 'KVa',array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
+        $objFormParam->addParam('メールアドレス', 'email', null, 'KVa',array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam('メールアドレス(確認)', "email02", null, 'KVa',array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
         $objFormParam->addParam("お電話番号1", 'tel01', TEL_ITEM_LEN, 'n', array("NUM_CHECK", "MAX_LENGTH_CHECK"));
         $objFormParam->addParam("お電話番号2", 'tel02', TEL_ITEM_LEN, 'n', array("NUM_CHECK", "MAX_LENGTH_CHECK"));
Index: /branches/version-2_11-dev/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 20845)
+++ /branches/version-2_11-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 20848)
@@ -176,7 +176,7 @@
         $objFormParam->addParam("お名前(名)", 'name02', STEXT_LEN, 'aKV', array("EXIST_CHECK", "NO_SPTAB", "SPTAB_CHECK" , "MAX_LENGTH_CHECK"));
         if ($device_type === DEVICE_TYPE_MOBILE){
-            $objFormParam->addParam('メールアドレス', 'email', MTEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK","MOBILE_EMAIL_CHECK"));
+            $objFormParam->addParam('メールアドレス', 'email', null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MOBILE_EMAIL_CHECK"));
         } else {
-            $objFormParam->addParam('メールアドレス', 'email', MTEXT_LEN, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
+            $objFormParam->addParam('メールアドレス', 'email', null, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK"));
         }
         return;
Index: /branches/version-2_11-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 20848)
@@ -102,6 +102,6 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam('メールアドレス', 'email_mobile', MTEXT_LEN, 'a',
-                                array('NO_SPTAB', 'EXIST_CHECK', 'MAX_LENGTH_CHECK', 'CHANGE_LOWER', 'EMAIL_CHAR_CHECK', 'EMAIL_CHECK', 'MOBILE_EMAIL_CHECK'));
+        $objFormParam->addParam('メールアドレス', 'email_mobile', null, 'a',
+                                array('NO_SPTAB', 'EXIST_CHECK', 'CHANGE_LOWER', 'EMAIL_CHAR_CHECK', 'EMAIL_CHECK', 'MOBILE_EMAIL_CHECK'));
     }
 
Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20806)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20848)
@@ -261,6 +261,6 @@
         $objFormParam->addParam("FAX番号2", "order_fax02", TEL_ITEM_LEN, 'n', array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $objFormParam->addParam("FAX番号3", "order_fax03", TEL_ITEM_LEN, 'n', array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $objFormParam->addParam("メールアドレス", "order_email", STEXT_LEN, 'KVa', array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
-        $objFormParam->addParam("メールアドレス（確認）", "order_email02", STEXT_LEN, 'KVa', array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"), "", false);
+        $objFormParam->addParam("メールアドレス", "order_email", null, 'KVa', array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam("メールアドレス（確認）", "order_email02", null, 'KVa', array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"), "", false);
         $objFormParam->addParam("年", 'year', INT_LEN, 'n', array("MAX_LENGTH_CHECK"), "", false);
         $objFormParam->addParam("月", 'month', INT_LEN, 'n', array("MAX_LENGTH_CHECK"), "", false);
Index: /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 20848)
@@ -222,8 +222,8 @@
         $objFormParam->addParam("住所2", "addr02", MTEXT_LEN, 'KVa', array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
         // メールチェック
-        $objFormParam->addParam('商品注文受付メールアドレス', "email01", STEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam('問い合わせ受付メールアドレス', "email02", STEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam('メール送信元メールアドレス', "email03", STEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam('送信エラー受付メールアドレス', "email04", STEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK","MAX_LENGTH_CHECK"));
+        $objFormParam->addParam('商品注文受付メールアドレス', "email01", null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam('問い合わせ受付メールアドレス', "email02", null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam('メール送信元メールアドレス', "email03", null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam('送信エラー受付メールアドレス', "email04", null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
 
         // 電話番号
Index: /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 20848)
@@ -136,5 +136,5 @@
         $objFormParam->addParam("FAX番号2", "law_fax02", TEL_ITEM_LEN, 'n', array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $objFormParam->addParam("FAX番号3", "law_fax03", TEL_ITEM_LEN, 'n', array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $objFormParam->addParam("メールアドレス", "law_email", STEXT_LEN, 'KVa', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $objFormParam->addParam("メールアドレス", "law_email", null, 'KVa', array("EXIST_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
         $objFormParam->addParam('URL', "law_url", STEXT_LEN, 'KVa', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "URL_CHECK"));
         $objFormParam->addParam("必要料金", "law_term01", MTEXT_LEN, 'KVa', array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
Index: /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 20804)
+++ /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 20848)
@@ -235,5 +235,5 @@
         $objFormParam->addParam("顧客名カナ1", "order_kana01", STEXT_LEN, 'KVCa', array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $objFormParam->addParam("顧客名カナ2", "order_kana02", STEXT_LEN, 'KVCa', array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam("メールアドレス", "order_email", MTEXT_LEN, 'KVCa', array("NO_SPTAB", "EMAIL_CHECK", "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
+        $objFormParam->addParam("メールアドレス", "order_email", null, 'KVCa', array("NO_SPTAB", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
         $objFormParam->addParam("郵便番号1", "order_zip01", ZIP01_LEN, 'n', array("NUM_CHECK", "NUM_COUNT_CHECK"));
         $objFormParam->addParam("郵便番号2", "order_zip02", ZIP02_LEN, 'n', array("NUM_CHECK", "NUM_COUNT_CHECK"));
Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_Customer.php	(revision 20845)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_Customer.php	(revision 20848)
@@ -313,5 +313,5 @@
         if($isAdmin) {
             $objFormParam->addParam("顧客ID", "customer_id", INT_LEN, 'n', array("NUM_CHECK"));
-            $objFormParam->addParam('携帯メールアドレス', "email_mobile", MTEXT_LEN, 'a', array("NO_SPTAB", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK", "MOBILE_EMAIL_CHECK"));
+            $objFormParam->addParam('携帯メールアドレス', "email_mobile", null, 'a', array("NO_SPTAB", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MOBILE_EMAIL_CHECK"));
             $objFormParam->addParam("会員状態", 'status', INT_LEN, 'n', array("EXIST_CHECK", "NUM_CHECK", "MAX_LENGTH_CHECK"));
             $objFormParam->addParam("SHOP用メモ", 'note', LTEXT_LEN, 'KVa', array("MAX_LENGTH_CHECK"));
@@ -337,6 +337,6 @@
         SC_Helper_Customer_Ex::sfCustomerRegisterParam($objFormParam);
         if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE){
-            $objFormParam->addParam('携帯メールアドレス', "email_mobile", MTEXT_LEN, 'a', array("NO_SPTAB", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
-            $objFormParam->addParam('携帯メールアドレス(確認)', "email_mobile02", MTEXT_LEN, 'a', array("NO_SPTAB", "EMAIL_CHECK","SPTAB_CHECK" , "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"), "", false);
+            $objFormParam->addParam('携帯メールアドレス', "email_mobile", null, 'a', array("NO_SPTAB", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK"));
+            $objFormParam->addParam('携帯メールアドレス(確認)', "email_mobile02", null, 'a', array("NO_SPTAB", "EMAIL_CHECK","SPTAB_CHECK" , "EMAIL_CHAR_CHECK"), "", false);
         }
     }
@@ -398,11 +398,11 @@
             $objFormParam->addParam("FAX番号2", 'fax02', TEL_ITEM_LEN, 'n', array("SPTAB_CHECK"));
             $objFormParam->addParam("FAX番号3", 'fax03', TEL_ITEM_LEN, 'n', array("SPTAB_CHECK"));
-            $objFormParam->addParam('メールアドレス', 'email', MTEXT_LEN, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
+            $objFormParam->addParam('メールアドレス', 'email', null, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK"));
             if(!$isAdmin) {
                 $objFormParam->addParam("パスワード(確認)", 'password02', STEXT_LEN, 'a', array("EXIST_CHECK", "SPTAB_CHECK" ,"ALNUM_CHECK"), "", false);
-                $objFormParam->addParam('メールアドレス(確認)', "email02", MTEXT_LEN, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK","SPTAB_CHECK" , "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"), "", false);
+                $objFormParam->addParam('メールアドレス(確認)', "email02", null, 'a', array("NO_SPTAB", "EXIST_CHECK", "EMAIL_CHECK","SPTAB_CHECK" , "EMAIL_CHAR_CHECK"), "", false);
             }
         } else {
-            $objFormParam->addParam('メールアドレス', 'email', MTEXT_LEN, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK","MOBILE_EMAIL_CHECK"));
+            $objFormParam->addParam('メールアドレス', 'email', null, 'a', array("EXIST_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MOBILE_EMAIL_CHECK"));
         }
     }
Index: /branches/version-2_11-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_CheckError.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/SC_CheckError.php	(revision 20848)
@@ -608,12 +608,23 @@
     }
 
-    /*　メールアドレス形式の判定　*/
-    //　メールアドレスを正規表現で判定する
-    // value[0] = 項目名 value[1] = 判定対象メールアドレス
+    /**
+     * メールアドレス形式の判定
+     *
+     * @param array $value 各要素は以下の通り。<br>
+     *     [0]: 項目名<br>
+     *     [1]: 判定対象を格納している配列キー
+     * @return void
+     */
     function EMAIL_CHECK( $value ){
         if(isset($this->arrErr[$value[1]])) {
             return;
         }
-        $this->createParam($value);
+
+        $this->createParam($value);
+
+        // 入力がない場合処理しない
+        if (strlen($this->arrParam[$value[1]]) === 0) {
+            return;
+        }
 
         $wsp           = '[\x20\x09]';
@@ -641,7 +652,13 @@
         }
 
-        if(strlen($this->arrParam[$value[1]]) > 0 && !preg_match($regexp, $this->arrParam[$value[1]])) {
+        if (!preg_match($regexp, $this->arrParam[$value[1]])) {
             $this->arrErr[$value[1]] = "※ " . $value[0] . "の形式が不正です。<br />";
-        }
+            return;
+        }
+
+        // 最大文字数制限の判定 (#871)
+        $arrValueTemp = $value;
+        $arrValueTemp[2] = 256;
+        $this->MAX_LENGTH_CHECK($arrValueTemp);
     }
 
Index: /branches/version-2_11-dev/data/Smarty/templates/default/contact/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/contact/index.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/contact/index.tpl	(revision 20848)
@@ -101,10 +101,10 @@
                 <td>
                     <span class="attention"><!--{$arrErr.email}--><!--{$arrErr.email02}--></span>
-                    <input type="text" class="box380 top" name="email" value="<!--{$arrForm.email.value|h|default:$arrData.email|h}-->" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" style="<!--{$arrErr.email|sfGetErrorColor}-->; ime-mode: disabled;" /><br />
+                    <input type="text" class="box380 top" name="email" value="<!--{$arrForm.email.value|h|default:$arrData.email|h}-->" style="<!--{$arrErr.email|sfGetErrorColor}-->; ime-mode: disabled;" /><br />
                     <!--{* ログインしていれば入力済みにする *}-->
                     <!--{if $smarty.server.REQUEST_METHOD != 'POST' && $smarty.session.customer}-->
                     <!--{assign var=email02 value=$arrData.email}-->
                     <!--{/if}-->
-                    <input type="text" class="box380" name="email02" value="<!--{$arrForm.email02.value|default:$email02|h}-->" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" style="<!--{$arrErr.email02|sfGetErrorColor}-->; ime-mode: disabled;" /><br />
+                    <input type="text" class="box380" name="email02" value="<!--{$arrForm.email02.value|default:$email02|h}-->" style="<!--{$arrErr.email02|sfGetErrorColor}-->; ime-mode: disabled;" /><br />
                     <p class="mini"><span class="attention">確認のため2度入力してください。</span></p>
                 </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 20848)
@@ -119,6 +119,6 @@
                 <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
             <!--{/if}-->
-            <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" class="box300 top" /><br />
-            <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" class="box300" /><br />
+            <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box300 top" /><br />
+            <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box300" /><br />
             <span class="attention mini">確認のため2度入力してください。</span>
         </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/basis/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/basis/index.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/basis/index.tpl	(revision 20848)
@@ -218,6 +218,5 @@
             <td>
                 <span class="attention"><!--{$arrErr.email01}--></span>
-                <input type="text" name="email01" value="<!--{$arrForm.email01|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.email01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
-                <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
+                <input type="text" name="email01" value="<!--{$arrForm.email01|h}-->" size="60" class="box60" style="<!--{if $arrErr.email01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
             </td>
         </tr>
@@ -226,6 +225,5 @@
             <td>
                 <span class="attention"><!--{$arrErr.email02}--></span>
-                <input type="text" name="email02" value="<!--{$arrForm.email02|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.email02 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
-                <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
+                <input type="text" name="email02" value="<!--{$arrForm.email02|h}-->" size="60" class="box60" style="<!--{if $arrErr.email02 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
             </td>
         </tr>
@@ -234,6 +232,5 @@
             <td>
                 <span class="attention"><!--{$arrErr.email03}--></span>
-                <input type="text" name="email03" value="<!--{$arrForm.email03|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.email03 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
-                <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
+                <input type="text" name="email03" value="<!--{$arrForm.email03|h}-->" size="60" class="box60" style="<!--{if $arrErr.email03 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
             </td>
         </tr>
@@ -242,6 +239,5 @@
             <td>
                 <span class="attention"><!--{$arrErr.email04}--></span>
-                <input type="text" name="email04" value="<!--{$arrForm.email04|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.email04 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
-                <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
+                <input type="text" name="email04" value="<!--{$arrForm.email04|h}-->" size="60" class="box60" style="<!--{if $arrErr.email04 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>
             </td>
         </tr>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 20848)
@@ -113,6 +113,6 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    <input type="email" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
-    <input type="email" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
+    <input type="email" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" size="40" class="box300" /><br />
+    <input type="email" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" size="40" class="box300" /><br />
     <p class="mini"><em>確認のため2度入力してください。</em></p>
   </td>
@@ -127,6 +127,6 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    <input type="email" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
-    <input type="email" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
+    <input type="email" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" size="40" class="box300" /><br />
+    <input type="email" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" size="40" class="box300" /><br />
     <p class="mini"><em>確認のため2度入力してください。</em></p>
   </td>