Index: /branches/version-2_11-dev/html/user_data/packages/default/css/common.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/common.css	(revision 20681)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/common.css	(revision 20916)
@@ -142,12 +142,8 @@
     line-height: 150%;
 }
-.price {
-    color: #f00;
-}
 .sale_price {
     color: #f00;
 }
 .normal_price {
-    color: #f00;
     font-size: 90%;
 }
Index: /branches/version-2_11-dev/html/user_data/packages/default/css/contents.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/contents.css	(revision 20773)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/contents.css	(revision 20916)
@@ -173,5 +173,5 @@
 div#undercolumn_error .message_area {
     width:80%;
-	margin: 30px auto;
+    margin: 30px auto;
     padding: 30px;
     border: 1px solid #ccc;
@@ -357,5 +357,5 @@
     float: left;
 }
-#one_maincolumn div#detailrightbloc {
+#one_maincolumn #detailrightbloc {
     width: 63%;
     float: right;
@@ -381,6 +381,6 @@
     width: 37%;
 }
-#two_maincolumn_left div#detailrightbloc ,
-#two_maincolumn_right div#detailrightbloc {
+#two_maincolumn_left #detailrightbloc ,
+#two_maincolumn_right #detailrightbloc {
     float: right;
     width: 63%;
@@ -408,5 +408,5 @@
     width: 49%;
 }
-#three_maincolumn div#detailrightbloc {
+#three_maincolumn #detailrightbloc {
     float: right;
     width: 50%;
@@ -428,5 +428,5 @@
 /* 商品情報 各種設定
 ----------------------------------------------- */
-div#detailrightbloc h2 {
+#detailrightbloc h2 {
     margin: 0 0 10px 0;
     padding: 0 0 15px 0;
@@ -436,57 +436,102 @@
     font-size: 160%;
 }
-div#detailrightbloc .point ,
-div#detailrightbloc .relative_cat {
+#detailrightbloc .point,
+#detailrightbloc .relative_cat {
     margin: 0 0 10px 0;
     padding: 0 0 10px 0;
     background: url("../img/background/line_dot_01.gif") repeat-x bottom ;
 }
-div#detailrightbloc .main_comment {
-    margin-bottom: 20px;
-}
-div.cart_area {
+#detailrightbloc .main_comment {
+    margin-bottom: 20px;
+}
+
+/* 商品コード */
+#detailrightbloc .product_code dt,
+#detailrightbloc .product_code dd {
+    display: inline;
+}
+
+/* 商品ステータス */
+#detailrightbloc ul.status_icon {
+    margin-bottom: 10px;
+    width: 100%;
+}
+#detailrightbloc ul.status_icon li {
+    margin-right: 5px;
+    margin-bottom: 3px;
+    float: left;
+}
+
+/* 通常価格 */
+#detailrightbloc .normal_price dt,
+#detailrightbloc .normal_price dd {
+    display: inline;
+}
+
+/* 販売価格 */
+#detailrightbloc .sale_price dt,
+#detailrightbloc .sale_price dd {
+    display: inline;
+}
+
+/* ポイント */
+#detailrightbloc .point dt,
+#detailrightbloc .point dd {
+    display: inline;
+}
+
+/* 規格 */
+#detailrightbloc div.classlist {
+    margin-bottom: 10px;
+    padding-bottom: 10px;
+    width: 100%;
+    background: url("../img/background/line_dot_02.gif") repeat-x bottom ;
+}
+#detailrightbloc .classlist {
+    margin-bottom: 5px;
+}
+#detailrightbloc ul {
+    margin-bottom: 10px;
+    width: 100%;
+}
+#detailrightbloc ul li {
+    vertical-align: top;
+    float: left;
+}
+
+/* メーカー */
+#detailrightbloc .maker dt,
+#detailrightbloc .maker dd {
+    display: inline;
+}
+
+/* メーカーURL */
+#detailrightbloc .comment1 dt,
+#detailrightbloc .comment1 dd {
+    display: inline;
+}
+
+/* 関連カテゴリ */
+#detailrightbloc .relative_cat dd {
+    margin-left: 1em;
+}
+
+/* 買い物かご */
+#detailrightbloc .cart_area {
     padding: 10px;
     background-color: #ecf5ff;
     border: 1px solid #cef0f4;
 }
-
-/* 商品ステータス */
-div#detailrightbloc ul.status_icon {
-    margin-bottom: 10px;
-    width: 100%;
-}
-div#detailrightbloc ul.status_icon li {
-    margin-right: 5px;
-    margin-bottom: 3px;
-    float: left;
-}
-
-/* 規格 */
-div#detailrightbloc div.classlist {
-    margin-bottom: 10px;
-    padding-bottom: 10px;
-    width: 100%;
-    background: url("../img/background/line_dot_02.gif") repeat-x bottom ;
-}
-div#detailrightbloc .classlist {
-    margin-bottom: 5px;
-}
-div#detailrightbloc ul {
-    margin-bottom: 10px;
-    width: 100%;
-}
-div#detailrightbloc ul li {
-    vertical-align: top;
-    float: left;
-}
-
-/* 買い物かご */
-div#detailrightbloc .cartin {
+#detailrightbloc .quantity dt,
+#detailrightbloc .quantity dd {
+    display: inline;
+}
+#detailrightbloc .cartin {
     text-align: center;
 }
-div#detailrightbloc .cartin_btn {
+#detailrightbloc .cartin_btn {
     text-align: center;
 }
-div#detailrightbloc .favorite_btn {
+#detailrightbloc .favorite_btn {
     text-align: center;
     margin-top: 10px;
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/detail.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/detail.css	(revision 20764)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/detail.css	(revision 20916)
@@ -1,4 +1,4 @@
 /*商品情報（テキストなど）*/
-div#detailrightblock table td {
+#detailrightblock table td {
 text-align: left;
 vertical-align: middle;
@@ -41,12 +41,12 @@
 
 /*商品情報（テーブル部分）*/
-div#detailrightblock table span.nomal-price {
+#detailrightblock table span.nomal-price {
 	font-size: 100%;
 }
-div#detailrightblock table span.sale-price {
+#detailrightblock table span.sale-price {
 	font-weight: bold;
 	color: #CC0000;
 }
-div#detailrightblock table span.member-point {
+#detailrightblock table span.member-point {
 	font-weight: bold;
 	color: #CC0000;
@@ -54,19 +54,19 @@
 
 /*商品情報（規格部分）*/
-div#detailrightblock dl {
+#detailrightblock dl {
     margin: 0;
     padding: 5px 0 0;
 }
-div#detailrightblock dt {
-    font-weight: bold;
-    margin: 0;
-    padding: 5px 0 3px 0;
-    line-height: 1.1;
-}
-div#detailrightblock dd {
+#detailrightblock dt {
+    font-weight: bold;
+    margin: 0;
+    padding: 5px 0 3px 0;
+    line-height: 1.1;
+}
+#detailrightblock dd {
     margin: 0;
     padding: 0 0 5px;
 }
-div#detailrightblock .fm-detail-quantity {
+#detailrightblock .fm-detail-quantity {
     width: 70px;
     height: 16px;
Index: /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl	(revision 20803)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl	(revision 20916)
@@ -90,13 +90,16 @@
 
             <!--★商品コード★-->
-            <div>商品コード：
-                <span id="product_code_default">
-                    <!--{if $arrProduct.product_code_min == $arrProduct.product_code_max}-->
-                        <!--{$arrProduct.product_code_min|h}-->
-                    <!--{else}-->
-                        <!--{$arrProduct.product_code_min|h}-->～<!--{$arrProduct.product_code_max|h}-->
-                    <!--{/if}-->
-                </span><span id="product_code_dynamic"></span>
-            </div>
+            <dl class="product_code">
+                <dt>商品コード：</dt>
+                <dd>
+                    <span id="product_code_default">
+                        <!--{if $arrProduct.product_code_min == $arrProduct.product_code_max}-->
+                            <!--{$arrProduct.product_code_min|h}-->
+                        <!--{else}-->
+                            <!--{$arrProduct.product_code_min|h}-->～<!--{$arrProduct.product_code_max|h}-->
+                        <!--{/if}-->
+                    </span><span id="product_code_dynamic"></span>
+                </dd>
+            </dl>
 
             <!--★商品名★-->
@@ -105,7 +108,7 @@
             <!--★通常価格★-->
             <!--{if $arrProduct.price01_max > 0}-->
-                <div class="normal_price">
-                    <!--{$smarty.const.NORMAL_PRICE_TITLE}-->(税込)：
-                    <span class="price">
+                <dl class="normal_price">
+                    <dt><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(税込)：</dt>
+                    <dd class="price">
                         <span id="price01_default">
                             <!--{if $arrProduct.price01_min == $arrProduct.price01_max}-->
@@ -116,11 +119,12 @@
                         </span><span id="price01_dynamic"></span>
                         円
-                    </span>
-                </div>
+                    </dd>
+                </dl>
             <!--{/if}-->
 
             <!--★販売価格★-->
-            <div class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：
-                <span class="price">
+            <dl class="sale_price">
+                <dt><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：</dt>
+                <dd class="price">
                     <span id="price02_default">
                         <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
@@ -131,6 +135,6 @@
                     </span><span id="price02_dynamic"></span>
                     円
-                </span>
-            </div>
+                </dd>
+            </dl>
 
             <!--★ポイント★-->
@@ -147,28 +151,39 @@
                             <!--{/if}-->
                         <!--{/if}-->
-                        </span><span id="point_dynamic"></span>
-                        Pt
+                    </span><span id="point_dynamic"></span>
+                    Pt
                 </div>
             <!--{/if}-->
+
+            <!--{* ▼メーカー *}-->
+            <!--{if $arrProduct.maker_name|strlen >= 1}-->
+                <dl class="maker">
+                    <dt>メーカー：</dt>
+                    <dd><!--{$arrProduct.maker_name|h}--></dd>
+                </dl>
+            <!--{/if}-->
+            <!--{* ▲メーカー *}-->
 
             <!--▼メーカーURL-->
             <!--{if $arrProduct.comment1|strlen >= 1}-->
-                <div><span class="comment1">メーカーURL：
-                    <a href="<!--{$arrProduct.comment1|h}-->"><!--{$arrProduct.comment1|h}--></a>
-                </div>
+                <dl class="comment1">
+                    <td>メーカーURL：</dt>
+                    <dd><a href="<!--{$arrProduct.comment1|h}-->"><!--{$arrProduct.comment1|h}--></a></dd>
+                </dl>
             <!--{/if}-->
             <!--▼メーカーURL-->
 
             <!--★関連カテゴリ★-->
-            <div class="relative_cat">関連カテゴリ：
+            <dl class="relative_cat">
+                <td>関連カテゴリ：</td>
                 <!--{section name=r loop=$arrRelativeCat}-->
-                <p>
-                    <!--{section name=s loop=$arrRelativeCat[r]}-->
-                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php?category_id=<!--{$arrRelativeCat[r][s].category_id}-->"><!--{$arrRelativeCat[r][s].category_name}--></a>
-                    <!--{if !$smarty.section.s.last}--><!--{$smarty.const.SEPA_CATNAVI}--><!--{/if}-->
-                    <!--{/section}-->
-                </p>
+                    <dd>
+                        <!--{section name=s loop=$arrRelativeCat[r]}-->
+                            <a href="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php?category_id=<!--{$arrRelativeCat[r][s].category_id}-->"><!--{$arrRelativeCat[r][s].category_name}--></a>
+                            <!--{if !$smarty.section.s.last}--><!--{$smarty.const.SEPA_CATNAVI}--><!--{/if}-->
+                        <!--{/section}-->
+                    </dd>
                 <!--{/section}-->
-            </div>
+            </dl>
 
             <!--★詳細メインコメント★-->
@@ -217,14 +232,12 @@
 
                 <!--★数量★-->
-                <div class="quantity">
-                    <ul class="clearfix">
-                        <li>数量：</li>
-                        <li><input type="text" class="box60" name="quantity" value="<!--{$arrForm.quantity.value|default:1|h}-->" maxlength="<!--{$smarty.const.INT_LEN}-->" style="<!--{$arrErr.quantity|sfGetErrorColor}-->" />
-                            <!--{if $arrErr.quantity != ""}-->
-                                <br /><span class="attention"><!--{$arrErr.quantity}--></span>
-                            <!--{/if}-->
-                        </li>
-                    </ul>
-                </div>
+                <dl class="quantity">
+                    <dt>数量：</dt>
+                    <dd><input type="text" class="box60" name="quantity" value="<!--{$arrForm.quantity.value|default:1|h}-->" maxlength="<!--{$smarty.const.INT_LEN}-->" style="<!--{$arrErr.quantity|sfGetErrorColor}-->" />
+                        <!--{if $arrErr.quantity != ""}-->
+                            <br /><span class="attention"><!--{$arrErr.quantity}--></span>
+                        <!--{/if}-->
+                    </dd>
+                </dl>
 
                 <div class="cartin">
Index: /branches/version-2_11-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Product.php	(revision 20877)
+++ /branches/version-2_11-dev/data/class/SC_Product.php	(revision 20916)
@@ -620,64 +620,66 @@
         $sql = <<< __EOS__
             (
-             SELECT dtb_products.product_id,
-                    dtb_products.name,
-                    dtb_products.maker_id,
-                    dtb_products.status,
-                    dtb_products.comment1,
-                    dtb_products.comment2,
-                    dtb_products.comment3,
-                    dtb_products.comment4,
-                    dtb_products.comment5,
-                    dtb_products.comment6,
-                    dtb_products.note,
-                    dtb_products.main_list_comment,
-                    dtb_products.main_list_image,
-                    dtb_products.main_comment,
-                    dtb_products.main_image,
-                    dtb_products.main_large_image,
-                    dtb_products.sub_title1,
-                    dtb_products.sub_comment1,
-                    dtb_products.sub_image1,
-                    dtb_products.sub_large_image1,
-                    dtb_products.sub_title2,
-                    dtb_products.sub_comment2,
-                    dtb_products.sub_image2,
-                    dtb_products.sub_large_image2,
-                    dtb_products.sub_title3,
-                    dtb_products.sub_comment3,
-                    dtb_products.sub_image3,
-                    dtb_products.sub_large_image3,
-                    dtb_products.sub_title4,
-                    dtb_products.sub_comment4,
-                    dtb_products.sub_image4,
-                    dtb_products.sub_large_image4,
-                    dtb_products.sub_title5,
-                    dtb_products.sub_comment5,
-                    dtb_products.sub_image5,
-                    dtb_products.sub_large_image5,
-                    dtb_products.sub_title6,
-                    dtb_products.sub_comment6,
-                    dtb_products.sub_image6,
-                    dtb_products.sub_large_image6,
-                    dtb_products.del_flg,
-                    dtb_products.creator_id,
-                    dtb_products.create_date,
-                    dtb_products.update_date,
-                    dtb_products.deliv_date_id,
-                    T4.product_code_min,
-                    T4.product_code_max,
-                    T4.price01_min,
-                    T4.price01_max,
-                    T4.price02_min,
-                    T4.price02_max,
-                    T4.stock_min,
-                    T4.stock_max,
-                    T4.stock_unlimited_min,
-                    T4.stock_unlimited_max,
-                    T4.point_rate,
-                    T4.deliv_fee,
-                    T4.class_count
-               FROM dtb_products
-               JOIN (
+                SELECT 0
+                    ,dtb_products.product_id
+                    ,dtb_products.name
+                    ,dtb_products.maker_id
+                    ,dtb_products.status
+                    ,dtb_products.comment1
+                    ,dtb_products.comment2
+                    ,dtb_products.comment3
+                    ,dtb_products.comment4
+                    ,dtb_products.comment5
+                    ,dtb_products.comment6
+                    ,dtb_products.note
+                    ,dtb_products.main_list_comment
+                    ,dtb_products.main_list_image
+                    ,dtb_products.main_comment
+                    ,dtb_products.main_image
+                    ,dtb_products.main_large_image
+                    ,dtb_products.sub_title1
+                    ,dtb_products.sub_comment1
+                    ,dtb_products.sub_image1
+                    ,dtb_products.sub_large_image1
+                    ,dtb_products.sub_title2
+                    ,dtb_products.sub_comment2
+                    ,dtb_products.sub_image2
+                    ,dtb_products.sub_large_image2
+                    ,dtb_products.sub_title3
+                    ,dtb_products.sub_comment3
+                    ,dtb_products.sub_image3
+                    ,dtb_products.sub_large_image3
+                    ,dtb_products.sub_title4
+                    ,dtb_products.sub_comment4
+                    ,dtb_products.sub_image4
+                    ,dtb_products.sub_large_image4
+                    ,dtb_products.sub_title5
+                    ,dtb_products.sub_comment5
+                    ,dtb_products.sub_image5
+                    ,dtb_products.sub_large_image5
+                    ,dtb_products.sub_title6
+                    ,dtb_products.sub_comment6
+                    ,dtb_products.sub_image6
+                    ,dtb_products.sub_large_image6
+                    ,dtb_products.del_flg
+                    ,dtb_products.creator_id
+                    ,dtb_products.create_date
+                    ,dtb_products.update_date
+                    ,dtb_products.deliv_date_id
+                    ,T4.product_code_min
+                    ,T4.product_code_max
+                    ,T4.price01_min
+                    ,T4.price01_max
+                    ,T4.price02_min
+                    ,T4.price02_max
+                    ,T4.stock_min
+                    ,T4.stock_max
+                    ,T4.stock_unlimited_min
+                    ,T4.stock_unlimited_max
+                    ,T4.point_rate
+                    ,T4.deliv_fee
+                    ,T4.class_count
+                    ,dtb_maker.name AS maker_name
+                FROM dtb_products
+                    JOIN (
                        SELECT product_id,
                               MIN(product_code) AS product_code_min,
@@ -694,10 +696,12 @@
                               MAX(deliv_fee) AS deliv_fee,
                               COUNT(*) as class_count
-                         FROM dtb_products_class
-                       $whereCause
-                     GROUP BY product_id
-                     ) AS T4
-                 ON dtb_products.product_id = T4.product_id
-        ) AS alldtl
+                        FROM dtb_products_class
+                        $whereCause
+                        GROUP BY product_id
+                    ) AS T4
+                        ON dtb_products.product_id = T4.product_id
+                    LEFT JOIN dtb_maker
+                        ON dtb_products.maker_id = dtb_maker.maker_id
+            ) AS alldtl
 __EOS__;
         return $sql;