Index: /branches/version-2_11-dev/data/Smarty/templates/admin/basis/zip_install.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/basis/zip_install.tpl	(revision 20945)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/basis/zip_install.tpl	(revision 20960)
@@ -45,5 +45,5 @@
         <div class="basis-zip-item">
             <h2>自動登録</h2>
-            <p>下の [削除] [郵便番号CSV更新] [DB手動登録] を順に実行します。ただし、タイムアウトした場合、DBは元の状態に戻ります。</p>
+            <p>下の [削除] <!--{if !$tpl_skip_update_csv}-->[郵便番号CSV更新] <!--{/if}-->[DB手動登録] を順に実行します。ただし、タイムアウトした場合、DBは元の状態に戻ります。</p>
             <p><a class="btn-normal" href="javascript:;" onclick="fnModeSubmit('auto', '', ''); return false;"><span class="btn-next">自動登録</span></a></p>
         </div>
@@ -57,6 +57,13 @@
         <div class="basis-zip-item">
             <h2>郵便番号CSV更新</h2>
-            <p>日本郵便の WEB サイトから、郵便番号CSVを取得します。</p>
-            <p><a class="btn-normal" href="javascript:;" onclick="fnModeSubmit('update_csv', '', ''); return false;"><span class="btn-next">更新</span></a><span class="attention"><!--{$arrErr.startRowNum}--></span></p>
+            <!--{if $tpl_skip_update_csv}-->
+                ご利用頂けません。
+                <!--{if strlen($smarty.const.ZIP_DOWNLOAD_URL) === 0}-->
+                    <p class="attention">※ パラメータ ZIP_DOWNLOAD_URL が未設定です。</p>
+                <!--{/if}-->
+            <!--{else}-->
+                <p>日本郵便の WEB サイトから、郵便番号CSVを取得します。</p>
+                <p><a class="btn-normal" href="javascript:;" onclick="fnModeSubmit('update_csv', '', ''); return false;"><span class="btn-next">更新</span></a><span class="attention"><!--{$arrErr.startRowNum}--></span></p>
+            <!--{/if}-->
         </div>
 
Index: /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 20952)
+++ /branches/version-2_11-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 20960)
@@ -103,4 +103,5 @@
         $this->arrErr = $objFormParam->checkError();
         $this->arrForm = $objFormParam->getHashArray();
+        $this->tpl_skip_update_csv = !defined('ZIP_DOWNLOAD_URL') || strlen(ZIP_DOWNLOAD_URL) === 0 || ZIP_DOWNLOAD_URL === false;
 
         if ($this->exec) {
@@ -159,6 +160,8 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        $this->lfDownloadZipFileFromJp();
-        $this->lfExtractZipFile();
+        if (!$this->tpl_skip_update_csv) {
+            $this->lfDownloadZipFileFromJp();
+            $this->lfExtractZipFile();
+        }
 
         $objQuery->begin();
@@ -362,22 +365,26 @@
      */
    function lfDownloadZipFileFromJp() {
-       // Proxy経由を可能とする。        
-       // TODO Proxyの設定は「DATA_REALDIR . 'module/Request.php'」内の「function HTTP_Request」へ記述する。いずれは、外部設定としたい。
-       $req = new HTTP_Request();
-       $req->setURL(ZIP_DOWNLOAD_URL);
+        // Proxy経由を可能とする。
+        // TODO Proxyの設定は「DATA_REALDIR . 'module/Request.php'」内の「function HTTP_Request」へ記述する。いずれは、外部設定としたい。
+        $req = new HTTP_Request();
+
+        $req->setURL(ZIP_DOWNLOAD_URL);
 
         // 郵便番号CSVをdownloadする。
-       $res1 = $req->sendRequest();
-       
-       if ($res1) {
-            // 郵便番号CSV(zip file)を保存する。
-           $fp = fopen($this->zip_csv_temp_realfile, 'w');
-           $res2 = fwrite($fp, $req->getResponseBody());
-       }
-       if (!$res1 or !$res2) {
-            // 郵便番号CSVの「downloadに失敗」または「書き込みに失敗」
-           SC_Utils_Ex::sfDispException(ZIP_DOWNLOAD_URL . ' の取得または ' . $this->zip_csv_temp_realfile . ' への書き込みに失敗しました。');
-       }
-   }
+        $res = $req->sendRequest();
+        if (!$res) {
+            SC_Utils_Ex::sfDispException(ZIP_DOWNLOAD_URL . ' の取得に失敗しました。');
+        }
+
+        // 郵便番号CSV(zip file)を保存する。
+        $fp = fopen($this->zip_csv_temp_realfile, 'w');
+        if (!$fp) {
+            SC_Utils_Ex::sfDispException($this->zip_csv_temp_realfile . ' を開けません。');
+        }
+        $res = fwrite($fp, $req->getResponseBody());
+        if (!$res) {
+            SC_Utils_Ex::sfDispException($this->zip_csv_temp_realfile . ' への書き込みに失敗しました。');
+        }
+    }
 
     /**