Index: /branches/version-2_11-dev/html/install/templates/step1.tpl
===================================================================
--- /branches/version-2_11-dev/html/install/templates/step1.tpl	(revision 20764)
+++ /branches/version-2_11-dev/html/install/templates/step1.tpl	(revision 20967)
@@ -148,5 +148,5 @@
         <ul>
             <li><a class="btn-action" href="javascript:;" onclick="document.form1['mode'].value='return_step0';document.form1.submit();return false;"><span class="btn-prev">前へ戻る</span></a></li>
-            <li><a class="btn-action"href="javascript:;" onclick="document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
+            <li><a class="btn-action" href="javascript:;" onclick="document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
         </ul>
     </div>
Index: /branches/version-2_11-dev/html/install/templates/step2.tpl
===================================================================
--- /branches/version-2_11-dev/html/install/templates/step2.tpl	(revision 20764)
+++ /branches/version-2_11-dev/html/install/templates/step2.tpl	(revision 20967)
@@ -107,5 +107,5 @@
             <ul>
                 <li><a class="btn-action" href="javascript:;" onclick="document.form1['mode'].value='return_step1';document.form1.submit();return false;"><span class="btn-prev">前へ戻る</span></a></li>
-                <li><a class="btn-action"href="javascript:;" onclick="document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
+                <li><a class="btn-action" href="javascript:;" onclick="document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
             </ul>
         </div>
Index: /branches/version-2_11-dev/html/install/templates/step3.tpl
===================================================================
--- /branches/version-2_11-dev/html/install/templates/step3.tpl	(revision 20764)
+++ /branches/version-2_11-dev/html/install/templates/step3.tpl	(revision 20967)
@@ -78,6 +78,6 @@
     <div class="btn-area">
         <ul>
-            <li><a class="btn-action" href="javascript:;"onclick="document.form1['mode'].value='return_step2';document.form1.submit();return false;"><span class="btn-prev">前へ戻る</span></a></li>
-            <li><a class="btn-action"href="javascript:;" onclick="document.body.style.cursor='wait'; document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
+            <li><a class="btn-action" href="javascript:;" onclick="document.form1['mode'].value='return_step2';document.form1.submit();return false;"><span class="btn-prev">前へ戻る</span></a></li>
+            <li><a class="btn-action" href="javascript:;" onclick="document.body.style.cursor='wait'; document.form1.submit(); return false;"><span class="btn-next">次へ進む</span></a></li>
         </ul>
     </div>
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/calendar.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/calendar.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/calendar.tpl	(revision 20967)
@@ -22,5 +22,5 @@
 <div class="bloc_outer">
     <div id="calender_area">
-    <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_calender.gif"alt="カレンダー" /></h2>
+    <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_calender.gif" alt="カレンダー" /></h2>
         <div class="bloc_body">
             <!--{section name=num loop=$arrCalendar}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/news.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/news.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/news.tpl	(revision 20967)
@@ -22,5 +22,5 @@
 <div class="bloc_outer">
     <div id="news_area">
-    <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_news.jpg"alt="新着情報" /><span class="rss"><a href="<!--{$smarty.const.ROOT_URLPATH}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" target="_blank"><img src="<!--{$TPL_URLPATH}-->img/button/btn_rss.jpg"alt="RSS" /></a></span></h2>
+    <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_news.jpg" alt="新着情報" /><span class="rss"><a href="<!--{$smarty.const.ROOT_URLPATH}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" target="_blank"><img src="<!--{$TPL_URLPATH}-->img/button/btn_rss.jpg" alt="RSS" /></a></span></h2>
         <div class="bloc_body">
             <div class="news_contents">
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl	(revision 20967)
@@ -29,5 +29,5 @@
     <div id="category_area">
         <div class="bloc_body">
-            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_category.gif"alt="商品カテゴリー" /></h2>
+            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_category.gif" alt="商品カテゴリー" /></h2>
             <!--{strip}-->
                 <ul id="categorytree">
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl	(revision 20967)
@@ -22,5 +22,5 @@
 <div class="bloc_outer">
     <div id="search_area">
-    <h2><span class="title"><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_search.gif"alt="検索条件" /></span></h2>
+    <h2><span class="title"><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_search.gif" alt="検索条件" /></span></h2>
         <div class="bloc_body">
             <!--検索フォーム-->
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl	(revision 20849)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl	(revision 20967)
@@ -22,5 +22,5 @@
 <div class="bloc_outer">
     <div id="cart_area">
-    <h2 class="cart"><span class="title"><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_cart.gif"alt="現在のカゴの中" /></span></h2>
+    <h2 class="cart"><span class="title"><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_cart.gif" alt="現在のカゴの中" /></span></h2>
         <div class="bloc_body">
             <div class="information">
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 20941)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 20967)
@@ -22,5 +22,5 @@
 <div class="bloc_outer">
     <div id="login_area">
-        <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_login.gif"alt="ログイン" /></h2>
+        <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_login.gif" alt="ログイン" /></h2>
         <form name="login_form" id="login_form" method="post" action="<!--{$smarty.const.HTTPS_URL}-->frontparts/login_check.php" onsubmit="return fnCheckLogin('login_form')">
             <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
Index: /branches/version-2_11-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 20967)
@@ -255,5 +255,5 @@
                 <li>
                 <a href="javascript:;" onclick="fnModeSubmit('multiple', '', ''); return false" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple_on.jpg','several');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg','several');">
-                    <img src="<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg" alt="複数のお届け先に送る" border="0"name="several" id="several" /></a>
+                    <img src="<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg" alt="複数のお届け先に送る" border="0" name="several" id="several" /></a>
                 </li>
             </ul>