Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20971)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 20975)
@@ -131,5 +131,5 @@
         $objFormParam->addParam("メイン画像", "main_image");
         $objFormParam->addParam("メイン一覧画像", "main_list_image");
-        $objFormParam->addParam("販売価格", "price02");
+        $objFormParam->addParam("販売価格", "price");
         $objFormParam->addParam("数量", 'quantity', INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"), 1);
         $objFormParam->addParam("配送先住所", 'shipping', INT_LEN, 'n', array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
@@ -153,8 +153,9 @@
             $quantity = (int) $cartLists[$key]['quantity'];
             for ($i = 0; $i < $quantity; $i++) {
-                foreach ($arrProductsClass as $key => $val) {
-                    $arrItems[$key][$index] = $val;
+                foreach ($arrProductsClass as $key2 => $val) {
+                    $arrItems[$key2][$index] = $val;
                 }
                 $arrItems['quantity'][$index] = 1;
+                $arrItems['price'][$index] = $cartLists[$key]['price'];
                 $index++;
             }
Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20971)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20975)
@@ -312,17 +312,27 @@
     function setShipmentItemTemp($shipping_id, $product_class_id, $quantity) {
         // 配列が長くなるので, リファレンスを使用する
-        $arrItems =& $_SESSION['shipping'][$shipping_id]['shipment_item'];
-
-        $arrItems[$product_class_id]['shipping_id'] = $shipping_id;
-        $arrItems[$product_class_id]['product_class_id'] = $product_class_id;
-        $arrItems[$product_class_id]['quantity'] = $quantity;
+        $arrItems =& $_SESSION['shipping'][$shipping_id]['shipment_item'][$product_class_id];
+
+        $arrItems['shipping_id'] = $shipping_id;
+        $arrItems['product_class_id'] = $product_class_id;
+        $arrItems['quantity'] = $quantity;
 
         $objProduct = new SC_Product_Ex();
-        if (empty($arrItems[$product_class_id]['productsClass'])) {
+
+        // カート情報から読みこめば済むと思うが、一旦保留。むしろ、カート情報も含め、セッション情報を縮小すべきかもしれない。
+        /*
+        $objCartSession = new SC_CartSession_Ex();
+        $cartKey = $objCartSession->getKey();
+        // 詳細情報を取得
+        $cartItems = $objCartSession->getCartList($cartKey);
+        */
+
+        if (empty($arrItems['productsClass'])) {
             $product =& $objProduct->getDetailAndProductsClass($product_class_id);
-            $arrItems[$product_class_id]['productsClass'] = $product;
-        }
-        $incTax = SC_Helper_DB_Ex::sfCalcIncTax($arrItems[$product_class_id]['productsClass']['price02']);
-        $arrItems[$product_class_id]['total_inctax'] = $incTax * $arrItems[$product_class_id]['quantity'];
+            $arrItems['productsClass'] = $product;
+        }
+        $arrItems['price'] = $arrItems['productsClass']['price02'];
+        $inctax = SC_Helper_DB_Ex::sfCalcIncTax($arrItems['price']);
+        $arrItems['total_inctax'] = $inctax * $arrItems['quantity'];
     }
 
@@ -700,5 +710,5 @@
 
             $price = SC_Utils_Ex::isBlank($arrValues['price'])
-                ? $d['price02']
+                ? $d['price']
                 : $arrValues['price'];
 
Index: /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 20975)
@@ -81,5 +81,5 @@
                                 <!--{$arrForm.class_name2.value[$index]|h}-->：<!--{$arrForm.classcategory_name2.value[$index]|h}--><br />
                             <!--{/if}-->
-                            <!--{$arrForm.price02.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円
+                            <!--{$arrForm.price.value[$index]|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円
                         </td>
                         <td>
@@ -108,5 +108,5 @@
                             <!--{assign var=key value="main_list_image"}-->
                             <input type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
-                            <!--{assign var=key value="price02"}-->
+                            <!--{assign var=key value="price"}-->
                             <input type="hidden" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]}-->" />
                             <!--{assign var=key value="shipping"}-->