Index: /branches/version-2_11-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Product.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/SC_Product.php	(revision 20976)
@@ -274,5 +274,4 @@
 
                 // ポイント
-                // XXX sfPrePoint() の第4パラメーターは、処理にバグがあるため現状省略している。(http://xoops.ec-cube.net/modules/newbb/viewtopic.php?topic_id=3540&forum=1&post_id=13853#forumpost13853)
                 $classCats2['point']
                     = number_format(SC_Utils_Ex::sfPrePoint($productsClass['price02'], $productsClass['point_rate']));
Index: /branches/version-2_11-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 20942)
+++ /branches/version-2_11-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 20976)
@@ -166,7 +166,5 @@
             $arrProduct[$key]['point'] = SC_Utils_Ex::sfPrePoint(
                 $arrProduct[$key]['price02'],
-                $arrProduct[$key]['point_rate'],
-                POINT_RULE,
-                $arrProduct[$key]['product_id']
+                $arrProduct[$key]['point_rate']
             );
             // 在庫無制限
@@ -228,13 +226,9 @@
             $arrProduct[$key]['point_max'] = SC_Utils_Ex::sfPrePoint(
                 $arrProduct[$key]['price02_max'],
-                $arrProduct[$key]['point_rate'],
-                POINT_RULE,
-                $arrProduct[$key]['product_id']
+                $arrProduct[$key]['point_rate']
             );
             $arrProduct[$key]['point_min'] = SC_Utils_Ex::sfPrePoint(
                 $arrProduct[$key]['price02_min'],
-                $arrProduct[$key]['point_rate'],
-                POINT_RULE,
-                $arrProduct[$key]['product_id']
+                $arrProduct[$key]['point_rate']
             );
         }
Index: /branches/version-2_11-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_CartSession.php	(revision 20877)
+++ /branches/version-2_11-dev/data/class/SC_CartSession.php	(revision 20976)
@@ -219,6 +219,5 @@
                     $this->cartSession[$productTypeId][$i]['id'][0] = "";
                 }
-                $id = $this->cartSession[$productTypeId][$i]['id'][0];
-                $point = SC_Utils_Ex::sfPrePoint($price, $point_rate, POINT_RULE, $id);
+                $point = SC_Utils_Ex::sfPrePoint($price, $point_rate);
                 $total+= ($point * $quantity);
             }
Index: /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl	(revision 20916)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/products/detail.tpl	(revision 20976)
@@ -143,10 +143,10 @@
                     <span id="point_default">
                         <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                            <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                            <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
                         <!--{else}-->
-                            <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
-                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                            <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate}-->
+                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
                             <!--{else}-->
-                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate|number_format}-->
                             <!--{/if}-->
                         <!--{/if}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/mobile/products/detail.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 20941)
+++ /branches/version-2_11-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 20976)
@@ -100,10 +100,10 @@
 ポイント：
 <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
 <!--{else}-->
-    <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
-        <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+    <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate}-->
+        <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
     <!--{else}-->
-        <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+        <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate|number_format}-->
     <!--{/if}-->
 <!--{/if}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 20927)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 20976)
@@ -153,10 +153,10 @@
                         <span id="point_default">
                             <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                                <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
                             <!--{else}-->
-                                <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
-                                    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                                <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate}-->
+                                    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->
                                 <!--{else}-->
-                                    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id|number_format}-->
+                                    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate|number_format}-->～<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate|number_format}-->
                                 <!--{/if}-->
                             <!--{/if}-->